# ────────────────────────────────────────────────────────────────────
#          ╭────────────────────────────────────────────────╮
#          │                 App launching                  │
#          ╰────────────────────────────────────────────────╯
bind = $mainMod, Return, exec, kitty


# ── Rofi ────────────────────────────────────────────────────────────
bind = $mainMod, Space, exec, killall rofi || rofi -show combi -modes combi -combi-modes "window,drun,run"
bind = $mainMod SHIFT, H, exec, cliphist list | rofi -dmenu | cliphist decode | wl-copy


# ── Power / logout ──────────────────────────────────────────────────
bind = $mainMod, escape, exec, wlogout



# ────────────────────────────────────────────────────────────────────
#          ╭────────────────────────────────────────────────╮
#          │                 Launch submap                  │
#          ╰────────────────────────────────────────────────╯
bind = $mainMod, X, submap, launch
submap = launch


# ── Kitty ───────────────────────────────────────────────────────────
bind = , K, exec, kitty
bind = , K, submap, reset
bind = , Return, exec, kitty
bind = , Return, submap, reset


# ── Others ──────────────────────────────────────────────────────────
bind = , L, exec, librewolf
bind = , L, submap, reset

bind = , E, exec, thunar
bind = , E, submap, reset

bind = , D, exec, vesktop
bind = , D, submap, reset

bind = SHIFT, B, exec, brave
bind = SHIFT, B, submap, reset

bind = , F, exec, filezilla
bind = , F, submap, reset

bind = , V, exec, vscodium
bind = , V, submap, reset

bind = , T, exec, thunderbird
bind = , T, submap, reset

bind = , H, exec, heroic
bind = , H, submap, reset

bind = , Z, exec, zathura
bind = , Z, submap, reset

bind = , B, exec, /opt/bs-manager/bs-manager
bind = , B, submap, reset

bind = , P, exec, alvr_dashboard
bind = , P, submap, reset

bind = , A, exec, notify-send 'AirPlay server starting...' --app-name="AirPlay Audio" && terminator -T "hidden-terminator" -e "systemctl start avahi-daemon && shairport-sync -a LinuxPlay"
bind = , A, submap, reset

bind = SHIFT, A, exec, notify-send 'AirPlay video server starting...' --app-name="AirPlay Video" && terminator -T "hidden-terminator" -e "systemctl start avahi-daemon && sleep 5 && uxplay -n LinuxVideoPlay -nh"
bind = SHIFT, A, submap, reset

bind = , S, exec, notify-send 'Steam is launching...' --app-name="Steam" && steam
bind = , S, submap, reset


# ── Exit submap ─────────────────────────────────────────────────────
bind = , escape, submap, reset
submap = reset
# ────────────────────────────────────────────────────────────────────
